## tcpserversink

tcpserversink — Send data as a server over the network via TCP

## Synopsis

                        GstTCPServerSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstMultiFdSink
                               +----GstTCPServerSink

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write

## Description

### Example launch line

    1
    2
    3
    4

    # server:
    gst-launch fdsrc fd=1 ! tcpserversink protocol=none port=3000
    # client:
    gst-launch tcpclientsrc protocol=none port=3000 ! fdsink fd=2

## Details

### GstTCPServerSink

    typedef struct _GstTCPServerSink GstTCPServerSink;

Opaque data structure.

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host/IP to send the packets to.

Default value: "localhost"

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to send the packets to.

Allowed values: [0,65535]

Default value: 4953

## See Also

multifdsink